#pragma once
#include "robbase.h"

#include "Robot.h"

//有限状态机: 未完成
class ROBBASE_API CFiniteState
{
public:
	CFiniteState(void);
	~CFiniteState(void);
	
	void SetState(int state);
	int  GetState();

	//该函数首先检查当前状态，如果当前状态与checkState
	//一致，即可设置新状态
	BOOL SetStateEx(int newState, int checkState);
public:

	TCHAR  m_strName[ROB_MAX_SYNCOBJ_NAME_LEN];

private:
	CRITICAL_SECTION m_cs; 
	int m_nCurState;
	
};

